package com.agilex.healthcare.schedulingmanager.mdws.connection;


public class PooledEmrConnectionManager implements EmrConnectionManager {

	

	public PooledEmrConnectionManager(PoolConfiguration poolConfiguration) {

	}

	/**
	 * Throws an UnsupportedOperationException
	 * @throws UnsupportedOperationException
	 */
	@Override
	public EmrConnection getSiteConnection(MdwsConfiguration mdwsConfiguration, String siteCode) {
		throw new UnsupportedOperationException();
	}
	
	/**
	 * Throws an UnsupportedOperationException
	 * @throws UnsupportedOperationException
	 */
	public void shutdown() {
		throw new UnsupportedOperationException();
	}

	/**
	 * Throws an UnsupportedOperationException
	 * @throws UnsupportedOperationException
	 */
	@Override
	public EmrConnection getAuthenticatedSiteConnection(
			MdwsConfiguration mdwsConfiguration, String siteCode) {
		throw new UnsupportedOperationException();
	}

}
